| Home | Libraries | People | FAQ | More

### Synopsis

    namespace boost
    {
    namespace math
    {

    template < typename IntegerType >
       class gcd_evaluator;
    template < typename IntegerType >
       class lcm_evaluator;

    template < typename IntegerType >
       IntegerType  gcd( IntegerType const &a, IntegerType const &b );
    template < typename IntegerType >
       IntegerType  lcm( IntegerType const &a, IntegerType const &b );

    template < unsigned long Value1, unsigned long Value2 >
       struct static_gcd;
    template < unsigned long Value1, unsigned long Value2 >
       struct static_lcm;

    }
    }